from setuptools import setup

name = "types-futures"
description = "Typing stubs for futures"
long_description = '''
## Typing stubs for futures

This is a PEP 561 type stub package for the `futures` package.
It can be used by type-checking tools like mypy, PyCharm, pytype etc. to check code
that uses `futures`. The source for this package can be found at
https://github.com/python/typeshed/tree/master/stubs/futures. All fixes for
types and metadata should be contributed there.

See https://github.com/python/typeshed/blob/master/README.md for more details.
This package was generated from typeshed commit `b50ebafa7913cf572ed1d4a87926b49f34fd2dc0`.
'''.lstrip()

setup(name=name,
      version="3.3.0",
      description=description,
      long_description=long_description,
      long_description_content_type="text/markdown",
      url="https://github.com/python/typeshed",
      install_requires=[],
      packages=['concurrent-python2-stubs'],
      package_data={'concurrent-python2-stubs': ['__init__.pyi', 'futures/__init__.pyi', 'futures/process.pyi', 'futures/_base.pyi', 'futures/thread.pyi', 'METADATA.toml']},
      license="Apache-2.0 license",
      classifiers=[
          "License :: OSI Approved :: Apache Software License",
          "Typing :: Typed",
      ]
)
